import floppyforms as forms
from models import Script
from app.forms import *
from itfprofiles.models import TheatreGroup


class ScriptForm(ItfForm):    
#    no_characters = forms.IntegerField(widget=forms.NumberInput())  
#    no_of_women = forms.IntegerField(widget=forms.NumberInput())
#    approx_duration = forms.IntegerField(widget=forms.NumberInput())
#    contact = forms.EmailField(widget=forms.EmailInput())
    theatre_group = forms.ModelChoiceField(TheatreGroup.objects.all(), widget=AutocompleteAddWidget(model_class=TheatreGroup))

    class Meta:
        model = Script
        exclude = ('added_by',)
        widgets = {
            'no_characters': forms.NumberInput,
            'no_of_women': forms.NumberInput,
            'approx_duration': forms.NumberInput,
            'contact': forms.EmailInput 
        }

class PopupScriptForm(PopupForm):

    class Meta:
        model = Script
        fields = ('title', 'synopsis',)
        #fields = ('name', 'email',)

